#
# spec file for package python-vmware-nsx
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-vmware-nsx
Version:        13.0.0
Release:        7.1
Summary:        VMware-NSX family of Neutron plugins
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/vmware-nsx
Source0:        https://files.pythonhosted.org/packages/source/v/vmware-nsx/vmware-nsx-13.0.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-neutron-lib
BuildRequires:  python-oslo.vmware
BuildRequires:  python-tooz
BuildRequires:  python2-mock
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslotest
BuildRequires:  python2-requests-mock
BuildRequires:  python2-testrepository
BuildRequires:  python2-testresources
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-vmware-nsxlib
BuildRequires:  python3-mock
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslotest
BuildRequires:  python3-requests-mock
BuildRequires:  python3-testrepository
BuildRequires:  python3-testresources
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-vmware-nsxlib
Requires:       python-PrettyTable
Requires:       python-SQLAlchemy
Requires:       python-decorator
Requires:       python-eventlet
Requires:       python-httplib2
Requires:       python-mock
Requires:       python-netaddr
Requires:       python-openstackclient
Requires:       python-osc-lib
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python2-oslo.db
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-six
Requires:       python-stevedore
Requires:       python-tenacity
Requires:       python-vmware-nsxlib
BuildArch:      noarch
%ifpython2
Requires:       python-enum34
Requires:       python-neutron-lib
Requires:       python2-oslo.service
Requires:       python-oslo.vmware
Requires:       python-tooz
%endif
%python_subpackages

%description
VMWare NSX plugins for the OpenStack Neutron component

%package -n python-vmware-nsx-doc
Summary:        Documentation for vmware-nsx
Group:          Documentation/HTML
BuildRequires:  fdupes
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description -n python-vmware-nsx-doc
VMWare NSX plugins for the OpenStack Neutron component
This package contains the documentation

%prep
%autosetup -p1 -n vmware-nsx-13.0.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}
# generate html docs
PBR_VERSION=13.0.0 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%fdupes doc/build/html/

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/neutron-check-nsx-config
%python_clone -a %{buildroot}%{_bindir}/nsxadmin
%python_clone -a %{buildroot}%{_bindir}/nsx-migration
# remove duplicates
%fdupes %{buildroot}%{python_sitelib}

# %check
# %{python_expand rm -rf .testrepository
# ostestr
# }

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/vmware_nsx
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/neutron-check-nsx-config
%python_alternative %{_bindir}/nsxadmin
%python_alternative %{_bindir}/nsx-migration

%files -n python-vmware-nsx-doc
%license LICENSE
%doc README.rst doc/build/html

%changelog
